package dev.peerat.backend.model;

import org.jose4j.jwt.JwtClaims;

public class PeerAtUser extends dev.peerat.framework.User{

	private int id;
	
	public PeerAtUser(int id){
		this.id = id;
	}
	
	public PeerAtUser(JwtClaims claims){
		this.id = ((Long) claims.getClaimValue("id")).intValue();
	}
	
	@Override
	public void write(JwtClaims claims){
		claims.setClaim("id", this.id);
	}

	public int getId(){
		return this.id;
	}
	
	

}
